<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <parent>
    <artifactId>BI</artifactId>
    <groupId>com.usoftchina.platform</groupId>
    <version>2.0.0-SNAPSHOT</version>
  </parent>
  <modelVersion>4.0.0</modelVersion>

  <groupId>com.usoftchina.platform</groupId>
  <artifactId>bi-server</artifactId>
  <description>bi-server</description>
  <packaging>war</packaging>

  <dependencies>
    <dependency>
      <groupId>com.usoftchina.platform</groupId>
      <artifactId>bi-server-starter</artifactId>
    </dependency>
    <dependency>
      <groupId>com.usoftchina.platform</groupId>
      <artifactId>bi-core</artifactId>
    </dependency>
    <dependency>
      <groupId>com.usoftchina.platform</groupId>
      <artifactId>bi-auth</artifactId>
    </dependency>
    <!-- Mysql -->
    <dependency>
      <groupId>mysql</groupId>
      <artifactId>mysql-connector-java</artifactId>
    </dependency>
    <!-- oracle -->
    <dependency>
      <groupId>ojdbc6</groupId>
      <artifactId>ojdbc6</artifactId>
      <version>11.2.0</version>
    </dependency>
    <!-- JWT -->
    <dependency>
      <groupId>com.auth0</groupId>
      <artifactId>java-jwt</artifactId>
    </dependency>

    <dependency>
      <groupId>org.springframework.boot</groupId>
      <artifactId>spring-boot-starter-tomcat</artifactId>
      <!--打包的时候可以不用包进去，别的设施会提供。事实上该依赖理论上可以参与编译，测试，运行等周期。
          相当于compile，但是打包阶段做了exclude操作-->
      <scope>provided</scope>
    </dependency>
  </dependencies>

  <build>
    <finalName>bi-server</finalName>
    <plugins>
      <plugin>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-maven-plugin</artifactId>
      </plugin>
    </plugins>
  </build>

  <distributionManagement>
    <!-- 发布release仓库 -->
    <repository>
      <id>platform-release</id>
      <name>platform-release</name>
      <url>http://10.10.101.21:8081/artifactory/libs-release-local</url>
    </repository>
    <!-- 发布快照版本 -->
    <snapshotRepository>
      <id>platform-snapshots</id>
      <name>platform-snapshots</name>
      <url>http://10.10.101.21:8081/artifactory/libs-snapshot-local</url>
    </snapshotRepository>
  </distributionManagement>


</project>